Bug #79380 Upgrade to Boost 1.60.0
Submitted: 23 Nov 2015 8:11 Modified: 22 Jan 2016 15:10
Reporter: Norvald Ryeng Email Updates:
Status: Closed Impact on me:
None 
Category:MySQL Server: GIS Severity:S3 (Non-critical)
Version:8.0.0 OS:Any
Assigned to: CPU Architecture:Any

[23 Nov 2015 8:11] Norvald Ryeng
Description:
Upgrade Boost dependency from Boost 1.59.0 to 1.60.0 when it's released
(currently only a beta is available).

Boost 1.60 contains bugfixes and performance improvements, but no new
features needed by MySQL 5.8. Upgrading to 1.60.0 removes the need for
some or all current patches on top of Boost 1.59.0.

How to repeat:
N/A
[22 Jan 2016 15:10] Paul Dubois
Noted in 5.8.0 changelog.

The required version of the Boost library for server builds has been
raised from 1.59.0 to 1.60.0.
[18 Jun 2016 21:34] Omer Barnir
Posted by developer:
 
Reported version value updated to reflect release name change from 5.8 to 8.0